fonts-freefont (20120503-4) unstable; urgency=low

  * Also re-introduce "Provides" ttf-freefont|otf-freefont

 -- Christian Perrier <bubulle@debian.org>  Sat, 08 Feb 2014 07:50:46 +0100

fonts-freefont (20120503-3) unstable; urgency=low

  * Re-introduce transitional packages. Closes: #737965

 -- Christian Perrier <bubulle@debian.org>  Fri, 07 Feb 2014 12:05:01 +0100

fonts-freefont (20120503-2) unstable; urgency=low

  * Use git for packaging: adapt Vcs-* fields
  * Update Standards to 3.9.4 (checked)
  * Add Multi-Arch: foreign field
  * Drop "Provides" as it is no
    longer needed (installations should have transitioned since wheezy
    and the package has anyway no reverse dependency.
  * Use xz extreme compression for deb packages
  * Drop ttf-freefont and otf-freefont transitional packages

 -- Christian Perrier <bubulle@debian.org>  Sat, 03 Aug 2013 18:56:39 +0200

fonts-freefont (20120503-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release
    + Fixes "Glyphs for U+2293 (square cap) and U+2294 (square cup) inverted"
      Closes: #659527
    + Removes accidentally included Untitled1.ttf
      Closes: #662924
    + Fixes "Strange glyphs for some chars in Control Pictures block"
      Closes: #632746
  * Rename source package to "fonts-freefont" to fit the Font
    Packages Naming Policy.
  * Bump debhelper compatibility to 9
  * Bump Standards to 3.9.3 (checked)

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Update debian/watch file.
  * Fix FTBFS twice in a row by properly using dh_auto_clean
    Closes: #662930
  * Adapt to the build system provided in the upstream tarball.
  * Remove some obsolete debhelper files.
  * Move debian/preinst to fonts-freefont-ttf.preinst.
  * Remove XC-Prefix from Package-Type field in debian/control.

 -- Christian Perrier <bubulle@debian.org>  Wed, 09 May 2012 23:47:37 +0200

ttf-freefont (20100919-1) unstable; urgency=low

  * New upstream release (Closes: #599151, #610849)
  * Remove dependencies on x-ttcidfont-conf and reflect the change in
    README.Debian as well
  * debian/copyright: add Steve White as current upstream maintainer 
  * debian/control: 
     - Bump Standards-Version to 3.9.1 (no changes needed)
     - Build-Depends-Indep set to "fontforge-nox | fontforge" to unburden
       buildds. Drop also version restriction (>= 0.0.20080330)
  * debian/scripts/FreeSans-strip: strip more ranges from the udeb:
    - Cherokee (u13A0:u13FF)
    - Unified Canadian Aboriginal Syllabics (u1400:u167F)
    - Unified Canadian Aboriginal Syllabics Extended (u18B0:u18FF)
    - Tifinagh (u2D30:u2D7F)
    - Vai (uA500:uA63F)
    - Latin Extended-D (uA720:uA7FF)
    - Osmanya (u10480:u104AF)

 -- Davide Viti <zinosat@tiscali.it>  Mon, 07 Feb 2011 22:11:27 +0100

ttf-freefont (20090104-7) unstable; urgency=low

  [Rogério Brito]
  * Update the version of the GPL (Closes: #576146)
  * Update the years of copyright
  * Delete trailing whitespace

  [ Davide Viti ]
  * Prepare new release
  * debian/control: Bump Standards-Version to 3.8.4 (no changes needed)

 -- Davide Viti <zinosat@tiscali.it>  Tue, 06 Apr 2010 21:24:25 +0200

ttf-freefont (20090104-6) unstable; urgency=low

  [ Jan Dittberner ]
  * Add binary package otf-freefont providing OpenType versions of the
    fonts (Closes: #575729)
    - add debian/otf-freefont.dirs, debian/otf-freefont.docs,
      debian/otf-freefont.install, debian/scripts/ConvertOTFont.ff
    - call ConvertOTFont.ff in debian/scripts/convertfonts.sh
    - add OTF related lines to debian/rules
    - add new binary package stanza to debian/control
  * Set debhelper dependency version to (>= 7.0.50~) to fix lintian
    warning

  [ Davide Viti ]
  * Prepare new release

 -- Davide Viti <zinosat@tiscali.it>  Mon, 29 Mar 2010 22:58:41 +0200

ttf-freefont (20090104-5) unstable; urgency=low

  [ Christian Perrier ]
  * Switch to debhelper v7
  * Use a minimal debian/rules file
  * Switch to 3.0 (quilt) source format
  * As a consequence of the above, no longer build-depend on quilt and cdbs
  * Add ${misc:Depends} to dependencies to properly cope with
    debhelper-triggerred dependencies
  * Add myself as Uploader
  * Update Standards to 3.8.3 (checked)

  [ Davide Viti ]
  * Remove defoma hints files and dependency on defoma

 -- Davide Viti <zinosat@tiscali.it>  Mon, 30 Nov 2009 21:04:49 +0100

ttf-freefont (20090104-4) unstable; urgency=low

  * debian/control: change source section to "fonts"

 -- Davide Viti <zinosat@tiscali.it>  Sat, 25 Jul 2009 14:21:22 +0200

ttf-freefont (20090104-3) unstable; urgency=low

  * scripts/strip_glyphs.pe: re-encode as "unicodeFull" as to
    deal with glyphs in ranges > uFFFF
  * scripts/FreeSans-strip: simplify stripping glyphs in high ranges (>
    uFFFF) taking advantage of new version of strip_glyphs.pe
  * Really strip Ugaritic, Old Persian and Phoenician out of the udeb
  * debian/control: Bump Standards-Version to 3.8.2
  * Bump Build-Depends on debhelper to 5.0.42: replace binary-install
    with install in debian/rules to fix building with DH_COMPAT>=5

 -- Davide Viti <zinosat@tiscali.it>  Sat, 11 Jul 2009 15:31:16 +0200

ttf-freefont (20090104-2) unstable; urgency=low

  * Upload to unstable

 -- Davide Viti <zinosat@tiscali.it>  Tue, 24 Feb 2009 21:56:48 +0100

ttf-freefont (20090104-1) experimental; urgency=low

  * New upstream release (Closes: #509858)
  * Fix wrong upstream URLs
    - debian/watch
    - debian/control
    - debian/copyright
  * debian/control: fix lintian warning about missing ${misc:Depends}
    in binary entries
  * debian/scripts/FreeSans-strip: strip more ranges from the udeb:
    - Alphabetic Presentation Forms (uFB00:uFB4F)
    - Phoenician (u10900:u1091F)
  * Perform glyph stripping on the sfd files rather than on the ttf like we
    do on ttf-dejavu: seems much cleaner and avoids problems with Indic
    scripts which got rendered badly (probably because of a Fontforge bug)
  * debian/patches/: remove empty directory to fix lintian warning

 -- Davide Viti <zinosat@tiscali.it>  Wed, 04 Feb 2009 08:57:31 +0100

ttf-freefont (20080912-1) experimental; urgency=low

  * New upstream release (Closes: #500299)
  * debian/control: Bump Standards-Version to 3.8.0
  * remove patch needed with previous version    
  * debian/scripts/FreeSans-strip: strip more ranges from the udeb:
    - Combining Diacritical Marks for Symbols (u20D0:u20FF)
    - Supplemental Mathematical Operators (u2A00:u2AFF)
    - Supplemental Punctuation (u2E00:u2E7F)
    - Ugaritic (u10380:u1039F)
    - Old Persian (u103A0:u103DF)
  
 -- Davide Viti <zinosat@tiscali.it>  Sun, 05 Oct 2008 13:43:32 +0200

ttf-freefont (20080323-3) unstable; urgency=low

  * patches/001_fix_ff_crash: fix FreeSerif.sfd which
    cuses Fontforge to crash (Closes: #474572)
  * scripts/convertfonts.sh: avoid searching sfd files in subdirs; it
    caused building unpatched files inside ".pc"

 -- Davide Viti <zinosat@tiscali.it>  Sun, 06 Apr 2008 17:55:07 +0200

ttf-freefont (20080323-2) unstable; urgency=low

  * debian/control: bump minimal version of fontforge to 0.0.20080330
    (Closes: #472830)

 -- Davide Viti <zinosat@tiscali.it>  Tue, 01 Apr 2008 16:04:44 +0200

ttf-freefont (20080323-1) unstable; urgency=low

  * New upstream release
  * debian/control: 
    - add Vcs-Svn, Vcs-Browser and Homepage fields
    - Standards-Version 3.7.3
    - bump minimal version of fontforge to 0.0.20080203
  * Remove all patches which have now been merged upstream

 -- Davide Viti <zinosat@tiscali.it>  Tue, 25 Mar 2008 22:09:25 +0100

ttf-freefont (20060501cvs-12) unstable; urgency=low

  * debian/scripts: added an extension .ff to the script ConvertFont name,
    for adaption to work with the new FontForge package. Thanx to Kęstutis
    Biliūnas for the patch (Closes: #423963).

 -- Davide Viti <zinosat@tiscali.it>  Wed, 16 May 2007 01:18:01 +0200

ttf-freefont (20060501cvs-11) unstable; urgency=low

  * Strip more ranges out of the udeb. Closes: #419580
  * Make the package "team-maintained"; remove Konstantinos and add self
    to uploaders

 -- Davide Viti <zinosat@tiscali.it>  Fri, 20 Apr 2007 21:04:02 +0200

ttf-freefont (20060501cvs-10) unstable; urgency=low

  * Strip Hebrew glyphs in the udeb on request of the D-I team
    Closes: #400516

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Nov 2006 07:17:24 +0100

ttf-freefont (20060501cvs-9) unstable; urgency=low

  * Set the priority to optional just like it is in the override
  * 011_liga_to_dlig:
    Change all mandatory ligatures to optional in FreeSans and FreeSerif
    This replaces 010_st_ligature which did so only for the "st" ligature
    Thanks to Dick Streefland for the suggestion and the patch
    Closes: #382521

 -- Christian Perrier <bubulle@debian.org>  Sat, 15 Jul 2006 08:55:38 +0200

ttf-freefont (20060501cvs-8) unstable; urgency=low

  * Correct the "st" ligature in FreeSerif and all other non monospaced
    fonts where it was mandatory. Closes: #358526

 -- Christian Perrier <bubulle@debian.org>  Fri, 14 Jul 2006 20:01:58 +0200

ttf-freefont (20060501cvs-7) unstable; urgency=low

  * Fix OS2WinAscent and OS2WinDescent to correct vertical spacing
    in OpenOffice.org. Closes: #254113

 -- Christian Perrier <bubulle@debian.org>  Fri, 14 Jul 2006 12:09:39 +0200

ttf-freefont (20060501cvs-6) unstable; urgency=low

  * FreeMono fonts now recognized as Monospaced by setting the width of
    all glyphs to 600. Closes: #255569, #177667, #301712
    Thanks to Jan Willem Stumpel for the very valuable help tracking
    this bug down.

 -- Christian Perrier <bubulle@debian.org>  Sun,  9 Jul 2006 21:26:41 +0200

ttf-freefont (20060501cvs-5) unstable; urgency=low

  * debian/patches/007_horizontal_spacing: correct Width for various
    characters in FreeMono fonts. Closes: #376677
  * debian/patches/008_georgian_d: Fix the Georgian D
    Closes: #377266 (and Ubuntu #45898)

 -- Christian Perrier <bubulle@debian.org>  Tue,  4 Jul 2006 19:04:46 +0200

ttf-freefont (20060501cvs-4) unstable; urgency=low

  * Do not strip the Bengali conjuncts in the udeb. Closes: #375731

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 Jun 2006 07:44:58 +0200

ttf-freefont (20060501cvs-3) unstable; urgency=low

  * debian/control
      - Updated to Standards: 3.7.2.0 (checked, no change needed: we were
        already compliant)
      - Move debhelper, quilt and cdbs dependencies to Build-Depends as
        these packages are required by the clean target. Thanks, lintian.
  * Strip the Tamil glyphs ranges in the udeb
    on the request of the D-I team. Closes: #375241

 -- Christian Perrier <bubulle@debian.org>  Sun, 25 Jun 2006 08:16:53 +0200

ttf-freefont (20060501cvs-2) unstable; urgency=low

  * Strip the Vietnamese and Georgian glyphs ranges in the udeb
    on the request of the D-I team. Closes: #373836
  * Rebuild with new fontforge
  * Move quilt, cdbs and debhelper to Build-Depends as they're required
    to run the clean target. Thanks, my beloved lintian.
  * Updated to Standards: 3.7.2
  * Remove INSTALL from the provided documentation. Thansk, little lintian.

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 Jun 2006 07:08:48 +0200

ttf-freefont (20060501cvs-1) unstable; urgency=low

  * New official maintainer (Konstantinos kept in Uploaders)
  * CVS snapshot:
    - Correct ligature problems in FreeMono. Closes: #358526
    - Correct Freefont Alef and Lamed combine (Debian patch
      003_alef-lamed dropped)
    - Correct arrows U+2198/U+2199 (Debian patch 005_arrows dropped)
  * Upstream fixes not (yet) applied upstream:
    - 006_remove-russian-sample: remove sample for the Russian language
      Closes: #353304 (upstream bug #15791)
  * Debian packaging fixes:
    - Use the layout of upstream CVS for the source package instead
      of just using freefont-sfd.tar.gz
    - Add upstream's ChangLog, AUTHOR, README and INSTALL files to
      doc files

 -- Christian Perrier <bubulle@debian.org>  Mon,  1 May 2006 20:02:17 +0200

ttf-freefont (20060126b-3) unstable; urgency=low

  * Add a build dependency on cdbs. Closes: #358321
  * debian/patches/005_arrows:
    Invert U+2198/U+2199 in FreeSerif
    Closes: #275759
  * Build-Depends on debhelper (>= 4.1.0) as we use debhelper.mk
    from cdbs. Thanks to the lovely linda.

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Mar 2006 18:37:39 +0100

ttf-freefont (20060126b-2) unstable; urgency=low

  * Change package priority to extra
  * debian/rules, debian/control:
    - Now use cdbs to build the package which oversimplifies the
      debian/rules file
  * debian/rules:
    - Explicitely change permissions of debian/scripts/strip_glyphs.pe
      Closes: #357154

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Mar 2006 06:50:47 +0100

ttf-freefont (20060126b-1) unstable; urgency=low

  * Fake new upstream version as the layout of the
    .orig.tar.gz file has been reorganized
  * debian/rules:
    - Now use quilt to manage patches
  * debian/watch:
    - file added
  * debian/patches/003_alef-lamed:
    - Change the ligature type for Hebrew Alef-Lamed
      Closes: #349657
  * debian/patches/004_workaround-spacing-bug:
    - Re-enable spacing bug workaround, and update ascent/descent in patch.
      This fixes spacing issues in several applications, including
      the graphical debian-installer.  However, OpenOffice.org still shows
      spacing issues, so this doesn't quite fix #254113.
      Huge thanks to Josh Triplett for the patch
  * debian/README.Debian:
    - Mention that the former Alioth project is no more used

 -- Christian Perrier <bubulle@debian.org>  Mon, 13 Mar 2006 09:22:43 +0100

ttf-freefont (20060126-1) unstable; urgency=low

  * Add self to Uploaders to be sure that someone officially "takes care"
    of the package while Konstantinos is away
  * New upstream version. Closes: #350517
  * Fix FTBFS by forcing scripts called from debian/rules to be executable
    Closes: #352974
  * Rewrite the udeb package description (shorten it and remove comma)
  * Make the debhelper dependency consistent with DH_COMPAT in debian/rules
  * Strip Hindi range in the udeb...
  * ...but do *not* strip Hindi/Bengali/Gurmukhi ranges as g-i intends to
    FreeSans for them

 -- Christian Perrier <bubulle@debian.org>  Wed, 15 Feb 2006 23:23:33 +0100

ttf-freefont (20051206-2) unstable; urgency=low

  * Really fix this bug. (Closes: #254113)

 -- Konstantinos Margaritis <markos@debian.org>  Mon,  9 Jan 2006 16:21:22 +0200

ttf-freefont (20051206-1) unstable; urgency=low

  * New upstream release.
  * Fixes a number of bugs (Closes: #235927, #276118, #276120, #276121, #289032)
  * Slight reorganization of the build process.
  * Now udeb includes stipped versions of FreeSans*, using scripts from g-i.

 -- Konstantinos Margaritis <markos@debian.org>  Mon,  8 Jan 2006 13:44:18 +0200

ttf-freefont (20051102-2) unstable; urgency=low

  * Fixed wrong permission of debian/ConvertFont script. (Closes: #337463)

 -- Konstantinos Margaritis <markos@debian.org>  Fri,  4 Nov 2005 21:43:32 +0200

ttf-freefont (20051102-1) unstable; urgency=low

  * New maintainer (Closes: #255277)
  * New upstream version, Savannah is back online. (Closes: #321366, #275759)
  * Closes left-over bugs (Closes: #254670, #254113)
  * Slight package redesign

 -- Konstantinos Margaritis <markos@debian.org>  Wed,  2 Nov 2005 18:44:23 +0200

ttf-freefont (20041117-1) unstable; urgency=medium

  * Konstantinos Margaritis:
    - New maintainers, new project created on Alioth:
      http://alioth.debian.org/projects/freefont
      (Closes: #255277)
  * Panayotis Katsaloulis
    - Corrected Greek fonts (missing letters, wrong accent, etc.)

 -- Panayotis Katsaloulis <panayotis@panayotis.com>  Wed, 17 Nov 2004 21:10:50 +2000

ttf-freefont (20031008-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High urgency due to fix for release-critical bug.
  * debian/fontforge-bug-workaround.patch: This patch works around a bug
    in fontforge: it ignores the Ascent and Descent values specified in
    the sfd, and supplies its own incorrect values.  It also adds the
    HheadAscent and HheadDescent value to its own values, so this patch
    uses these values to correct the calculated values back to the correct
    values.  This patch should be reviewed when the bug in fontforge is
    fixed.  (closes: #254113)
  * debian/control: Add Build-Depends on patch.
  * debian/rules: Apply the patch.

 -- Josh Triplett <josh.trip@verizon.net>  Sun, 29 Aug 2004 11:05:50 -0700

ttf-freefont (20031008-1) unstable; urgency=low

  * New upstream version.
  * debian/control, tools/ConvertFont: pfaedit has been renamed to fontforge,
    requiring an update of the dependencies and build scripts
    (closes: #253902, #251369)
  * debian/control: Removed (udeb) from the udeb description field
    (closes: #195627).
  * debian/control: Updated standards version to 3.6.1.

 -- Peter Hawkins <peterh@debian.org>  Sun, 19 Oct 2003 14:32:48 +1000

ttf-freefont (20030519-1) unstable; urgency=low

  * New upstream release.

 -- Peter Hawkins <peterh@debian.org>  Sun,  1 Jun 2003 09:36:20 +1000

ttf-freefont (20030327-1) unstable; urgency=low

  * New upstream version.
  * Updated defoma hint file to reflect correct character set information.
    Thanks to Michael Fedrowitz. (closes: #187799)

 -- Peter Hawkins <peterh@debian.org>  Wed, 30 Apr 2003 18:51:13 +1000

ttf-freefont (20030319-2) unstable; urgency=low

  * Changed package so the TTF files are built from the SFD files using
    pfaedit, rather than using the upstream provided TTFs. Since we are
    now using TTFs without hinting turned on, we don't have the problem
    of ugliness of the fonts due to pfaedit having broken hinting.
    This has also cut the size of the source package in half.
    (closes: #182823)

 -- Peter Hawkins <peterh@debian.org>  Fri, 21 Mar 2003 10:27:51 +1100

ttf-freefont (20030319-1) unstable; urgency=low

  * New upstream release. The new upstream release fixes some font
    breakage which occurred in 20030219. Sadly, hinting still is 
    borked. (closes: #183076)
  * Package now Recommends: x-ttcidfont-conf (closes: #185127).
  * Updated Standards version to 3.5.9.

 -- Peter Hawkins <peterh@debian.org>  Thu, 20 Mar 2003 12:29:32 +1100

ttf-freefont (20030219-1) unstable; urgency=low

  * Fixed GPL violation (closes: #182402).
  * Packaged new version of fonts. 

 -- Peter Hawkins <peterh@debian.org>  Wed, 26 Feb 2003 10:48:41 +1100

ttf-freefont (20021016-2) unstable; urgency=low

  * Build a udeb for debian-installer (thanks to Sebastian Ley).
  * s/Author(s)/Author/ in debian/copyright to fix lintian warning.
  * s/Build-Depends/Build-Depends-Indep/ in debian/rules to fix lintian error.
  * Updated standards version to 3.5.8.

 -- Peter Hawkins <peterh@debian.org>  Tue, 31 Dec 2002 16:18:17 +1100

ttf-freefont (20021016-1) unstable; urgency=low

  * Package now uses defoma for font management (closes: #163054)
  * Made symlinks redudant (closes: #165403)
  * Packaged a new version of the fonts.

 -- Peter Hawkins <peterh@debian.org>  Sat, 19 Oct 2002 11:38:43 +1000

ttf-freefont (20021011-1) unstable; urgency=low

  * Packaged a new version of the fonts.

 -- Peter Hawkins <peterh@debian.org>  Mon, 14 Oct 2002 12:19:55 +1000

ttf-freefont (20020920-2) unstable; urgency=low

  * Added X11 font dir to package (closes: #163012)

 -- Peter Hawkins <peterh@debian.org>  Wed,  2 Oct 2002 12:38:06 +1000

ttf-freefont (20020920-1) unstable; urgency=low

  * Initial Release. (closes: #162540)

 -- Peter Hawkins <peterh@debian.org>  Fri, 27 Sep 2002 12:42:49 +1000

